<table width="100%"  border="0" cellspacing="1" cellpadding="1">
  <tr>
    <td class="verddeu"><p><img src="img/titol10.gif" width="465" height="27"></p></td>
  </tr>

  <tr>
    <td>
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr bgcolor="#EEEFF1">
          <td class="docegrana"> <a href="#"><img src="img/icon.gif" width="12" height="8" border="0"></a>
            Cerqui el col.legiat per Codi Postal, per Nom o per Població</td>
        </tr>
        <tr>
          <td valign="top">
            <table width="100%" cellpadding="2" cellspacing="2" class="tabbajo">
              <tr>
                <td width="31%" valign="top" class="verddeu">
                  <p align="justify">
                    <a href="javascript:history.back();">&lt;&lt;Tornar</a>
                  </p>
                </td>
                <td width="69%" valign="top" class="verddeu">
                  <div align="left"></div>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td height="364" valign="top">          
      <table width="100%" cellpadding="2" cellspacing="2" class="tabbajo">
        <tr>
          <td height="319" valign="top" class="verddeu">

          <table width="100%"  border="0" cellpadding="2" cellspacing="2" class="verddeu">
              <tr bgcolor="#990000"> 
                <td valign="top" class="verddeu" colspan="2"> <strong class="verblanc"> 
                  <span class="docegrana"> <a href="#"><img src="img/icon5.gif" width="12" height="8" border="0"></a> 
                  </span>Cercador de col.legiats</strong> <div align="center" class="verblanc"></div></td>
              </tr>
              <tr> 
                <td width="22%" bgcolor="#EEEFF1"> <div align="right"> <b>Cercar
                    :</b> </div></td>
                <td bgcolor="#EEEFF1" nowrap> <b>

<?php 
  $numcol=getParam("numcol");
  $cercar=getParam("cercar");
  $nom=getParam("nom");
  $poblacio=getParam("poblacio");
  $codpostal=getParam("codpostal");
?>

<?php
  $select="<input type='text' class='verddeu' style='width:250px;' name=cercar id=cercar value='$cercar'>";
  $select.="<input type=\"button\" class=\"verddeu\" value=\"Cercar\" onclick=\"document.location='inicio.php?page=buscacol&flash=0&cercar='+document.getElementById('cercar').value;\">";
  echo $select;
?>

                  <span class="Estilo1"> </span> </b> </td>
              </tr>
              <tr> 
                <td width="22%" bgcolor="#EEEFF1"> <div align="right"> <b>Nom
                    :</b> </div></td>
                <td bgcolor="#EEEFF1" nowrap> <b> 

<?php
  $query="SELECT Tratamiento FROM colegiats1 WHERE Fecha_de_baja='' AND Tratamiento!='' AND N__Colegiado!='' ORDER BY Tratamiento";
  $result=mysql_query($query,$link) or die(mysql_error());
  $select="<select name='nom' id='nom' class='verddeu' style='width:250px;'>";
  $select.="<option value=''>Seleccioni un nom</option>";
  while($row=mysql_fetch_array($result)) {
    $selected="";
    if($row["Tratamiento"]==$nom) $selected="selected";
    $select.="<option value='".$row["Tratamiento"]."' $selected>".$row["Tratamiento"]."</option>";
  }
  mysql_free_result($result);
  $select.="</select>";
  $select.="<input type=\"button\" class=\"verddeu\" value=\"Cercar\" onclick=\"document.location='inicio.php?page=buscacol&flash=0&nom='+document.getElementById('nom').value;\">";
  echo $select;
?>

                  <span class="Estilo1"> </span> </b> </td>
              </tr>

              <tr> 
                <td width="22%" bgcolor="#EEEFF1"> <div align="right"> <b>Població
                    :</b> </div></td>
                <td bgcolor="#EEEFF1" nowrap> <b> 

<?php
  $query="SELECT DISTINCT Población FROM colegiats1 WHERE Fecha_de_baja='' AND Tratamiento!='' AND N__Colegiado!='' ORDER BY Población";
  $result=mysql_query($query,$link) or die(mysql_error());
  $select="<select name='poblacio' id='poblacio' class='verddeu' style='width:250px;'>";
  $select.="<option value=''>Seleccioni una població</option>";
  while($row=mysql_fetch_array($result)) {
    $selected="";
    if($row["Población"]==$poblacio) $selected="selected";
    $select.="<option value='".$row["Población"]."' $selected>".$row["Población"]."</option>";
  }
  mysql_free_result($result);
  $select.="</select>";
  $select.="<input type=\"button\" class=\"verddeu\" value=\"Cercar\" onclick=\"document.location='inicio.php?page=buscacol&flash=0&poblacio='+document.getElementById('poblacio').value;\">";
  echo $select;
?>

                  <span class="Estilo1"> </span> </b> </td>
              </tr>

              <tr> 
                <td width="22%" bgcolor="#EEEFF1"> <div align="right"> <b>Codi postal
                    :</b> </div></td>
                <td bgcolor="#EEEFF1" nowrap> <b> 

<?php
  $query="SELECT DISTINCT D_P_ FROM colegiats1 WHERE Fecha_de_baja='' AND Tratamiento!='' AND N__Colegiado!='' ORDER BY D_P_";
  $result=mysql_query($query,$link) or die(mysql_error());
  $select="<select name='codpostal' id='codpostal' class='verddeu' style='width:250px;'>";
  $select.="<option value=''>Seleccioni un codi postal</option>";
  while($row=mysql_fetch_array($result)) {
    $selected="";
    if($row["D_P_"]==$codpostal) $selected="selected";
    $select.="<option value='".$row["D_P_"]."' $selected>".$row["D_P_"]."</option>";
  }
  mysql_free_result($result);
  $select.="</select>";
  $select.="<input type=\"button\" class=\"verddeu\" value=\"Cercar\" onclick=\"document.location='inicio.php?page=buscacol&flash=0&codpostal='+document.getElementById('codpostal').value;\">";
  echo $select;
?>

                  <span class="Estilo1"> </span> </b> </td>
              </tr>

<?php
  $plim=25;
  $where="0";
  if($numcol!="") $where="`N__Colegiado`='$numcol'";
  if($cercar!="") {
    $where="(0
    OR `Tratamiento` LIKE '%$cercar%'
    OR `N__Colegiado` LIKE '%$cercar%'
    OR `Representante_de` LIKE '%$cercar%'
    OR `Forma_colegiac_` LIKE '%$cercar%'
    OR `Domicilio_correspon_` LIKE '%$cercar%'
    OR `D_P_` LIKE '%$cercar%'
    OR `Población` LIKE '%$cercar%'
    OR `Provincia` LIKE '%$cercar%'
    OR `Teléfono_oficina` LIKE '%$cercar%'
    OR `Fax` LIKE '%$cercar%'
    OR `E_Mail` LIKE '%$cercar%'
    OR `Web` LIKE '%$cercar%'
    OR `Fecha_de_baja` LIKE '%$cercar%'
    )";
  }
  if($nom!="") $where="`Tratamiento`='$nom'";
  if($poblacio!="") $where="`Población`='$poblacio'";
  if($codpostal!="") $where="`D_P_`='$codpostal'";
  if($where!="0") $where.=" AND Fecha_de_baja='' AND Tratamiento!='' AND N__Colegiado!=''";
  $query="SELECT count(id) FROM colegiats1 WHERE $where";
  $result=mysql_query($query,$link);
  $row=mysql_fetch_array($result);
  $total=$row["count(id)"];
  mysql_free_result($result);
  $pnum=sprintf("%d",$pnum);
  $num1=$pnum+1;
  $num2=$pnum+$plim;
  if($num2>$total) $num2=$total;
  $texto=$num1." - ".$num2." de ".$total;
  if($total>0) {
?>
              <tr>
                <td colspan="2">&nbsp;</td>
              </tr>
              <tr bgcolor="#990000">
                <td colspan="2"><strong class="verblanc"><span class="docegrana"><a href="#"><img src="img/icon5.gif" width="12" height="8" border="0"></a></span>Resultats de la cerca: <?=$texto ?></strong></td>
              </tr>
<?php
  }
  $pmin=0;
  $pant=$pnum-$plim;
  if($pant<$pmin) $pant=$pmin;
  $pmax=((int)(($total-1)/$plim))*$plim;
  $psig=$pnum+$plim;
  if($psig>$pmax) $psig=$pmax;
  $query="SELECT CONCAT(Tratamiento,' (',N__Colegiado,')') as Tratamiento,N__Colegiado,Representante_de,Domicilio_correspon_,D_P_,Población,Provincia,Teléfono_oficina,Fax,E_Mail,Web FROM colegiats1 WHERE $where ORDER BY Tratamiento LIMIT $pnum,$plim";
  $result=mysql_query($query,$link) or die(mysql_error());
  $campos=array("Representante_de","Tratamiento","Domicilio_correspon_","D_P_","Población","Provincia","Teléfono_oficina","Fax","E_Mail","Web");
  $textos=array("En representació de","Colegiat/da","Domicili","Codi postal","Població","Provincia","Telèfon oficina","Fax","E-Mail","Plana WEB");
  $count=count($campos);
  while($row=mysql_fetch_array($result)) {
    echo '<tr><td bgcolor="#EEEFF1" colspan="2"><div align="left">';
    if($total>1) {
      $datos="<a href='inicio.php?page=buscacol&flash=0&numcol=".$row["N__Colegiado"]."'>";
      $datos.=$row["Tratamiento"];
      if($row["Representante_de"]!="") $datos.=" (".$row["Representante_de"].")";
      $datos.="</a>";
    } else {
      $datos="<table width='100%'>";
      for($i=0;$i<$count;$i++) {
        if($row[$campos[$i]]!="") {
          $datos.="<tr>";
          $datos.="<td width='33%' bgcolor='#dddddd' align=right class=verddeu>".$textos[$i].":</td>";
          $datos.="<td class=verddeu bgcolor='#dddddd'>";
          if($campos[$i]=="E_Mail") $datos.="<a href='inicio.php?page=buscacon&flash=0&numcol=".$row["N__Colegiado"]."'>".$row[$campos[$i]]." - Contactar</a>";
          elseif($campos[$i]=="Web") $datos.="<a target='_blank' href='".$row[$campos[$i]]."'>".$row[$campos[$i]]."</a>";
          else $datos.=$row[$campos[$i]];
          $datos.="</td>";
          $datos.="</tr>";
        }
      }
      $datos.="</table>";
    }
    echo $datos;
    echo '</div></td></tr>';
  }
  mysql_free_result($result);
  if($total>$plim) {
    $qs="";
    if($cercar!="") $qs="cercar=$cercar";
    if($nom!="") $qs="nom=$nom";
    if($poblacio!="") $qs="poblacio=$poblacio";
    if($codpostal!="") $qs="codpostal=$codpostal";
?>
              <tr>
                <td colspan="2" bgcolor="#EEEFF1">
          <table width="100%"  border="0" cellpadding="1" cellspacing="1" bgcolor="#EEEFF1">
    <TR>
      <TD align=left class=nolink height="19"><span class="docegrana">
<?php if($pnum>0) { ?>
        <A href="inicio.php?page=buscacol&flash=0&<?=$qs?>&pnum=<?php echo $pmin; ?>"><img src="images/primero.jpg" border="0" alt="Anar a la plana inicial" title="Anar a la plana inicial"></A>
        <A href="inicio.php?page=buscacol&flash=0&<?=$qs?>&pnum=<?php echo $pant; ?>"><img src="images/ant.jpg" border="0" alt="Anar a la plana anterior" title="Anar a la plana anterior"></A>
<?php } ?>
      </span></TD>
      <TD align=right class=nolink height="19"><span class="docegrana">
<?php if($pnum<$pmax) { ?>
        <A href="inicio.php?page=buscacol&flash=0&<?=$qs?>&pnum=<?php echo $psig; ?>"><img src="images/sig.jpg" border="0" alt="Anar a la plana següent" title="Anar a la plana següent"></A>
        <A href="inicio.php?page=buscacol&flash=0&<?=$qs?>&pnum=<?php echo $pmax; ?>"><img src="images/ultimo.jpg" border="0" alt="Anar a la darrera plana" title="Anar a la darrera plana"></A>
<?php } ?>
      </span></TD>
    </TR>
          </table>
                </td>
              </tr>
<?php } ?>


            </table>                </td>
              </tr>
          </table>
          <br>
          <a href="javascript:history.back();" class="verddeu">&lt;&lt;Tornar</a></td>
      </tr>
    </table>
